# random_.h File Reference

Go to the source code of this file.

## Functions

MagickExport double | GetRandomValue (void)
MagickExport void | DestroyRandomReservoir (void)
MagickExport void | DistillRandomEvent (const unsigned char *, const size_t)
MagickExport void | GetRandomKey (unsigned char *, const size_t)
MagickExport void | SeedRandomReservoir (const unsigned long)

## Function Documentation

MagickExport void DestroyRandomReservoir | ( | void |  | ) |

MagickExport void DistillRandomEvent | ( | const unsigned char * | ,
|  | const | size_t |
| ) |  |  |

MagickExport void GetRandomKey | ( | unsigned char * | ,
|  | const | size_t |
| ) |  |  |

MagickExport double GetRandomValue | ( | void |  | ) |

MagickExport void SeedRandomReservoir | ( | const unsigned | long | ) |